Package org.lwjgl.opengl

# Class ARBBindlessTexture

java.lang.Object
org.lwjgl.opengl.ARBBindlessTexture

public final class ARBBindlessTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_UNSIGNED_INT64_ARB`
Accepted by the <type> parameter of VertexAttribLPointer:

## Method Summary

Modifier and Type
Method
Description
`static long`
`glGetImageHandleARB(int texture, int level, boolean layered, int layer, int format)`
`static long`
`glGetTextureHandleARB(int texture)`
`static long`
`glGetTextureSamplerHandleARB(int texture, int sampler)`
`static void`
`glGetVertexAttribLuARB(int index, int pname, LongBuffer params)`
`static boolean`
`glIsImageHandleResidentARB(long handle)`
`static boolean`
`glIsTextureHandleResidentARB(long handle)`
`static void`
`glMakeImageHandleNonResidentARB(long handle)`
`static void`
`glMakeImageHandleResidentARB(long handle, int access)`
`static void`
`glMakeTextureHandleNonResidentARB(long handle)`
`static void`
`glMakeTextureHandleResidentARB(long handle)`
`static void`
`glProgramUniformHandleuARB(int program, int location, LongBuffer values)`
`static void`
`glProgramUniformHandleui64ARB(int program, int location, long value)`
`static void`
`glUniformHandleuARB(int location, LongBuffer value)`
`static void`
`glUniformHandleui64ARB(int location, long value)`
`static void`
`glVertexAttribL1uARB(int index, LongBuffer v)`
`static void`
`glVertexAttribL1ui64ARB(int index, long x)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_UNSIGNED_INT64_ARB

public static final int GL_UNSIGNED_INT64_ARB
Accepted by the <type> parameter of VertexAttribLPointer:

See Also:
  - Constant Field Values

## Method Details

### glGetTextureHandleARB

public static long glGetTextureHandleARB(int texture)

### glGetTextureSamplerHandleARB

public static long glGetTextureSamplerHandleARB(int texture, int sampler)

### glMakeTextureHandleResidentARB

public static void glMakeTextureHandleResidentARB(long handle)

### glMakeTextureHandleNonResidentARB

public static void glMakeTextureHandleNonResidentARB(long handle)

### glGetImageHandleARB

public static long glGetImageHandleARB(int texture, int level, boolean layered, int layer, int format)

### glMakeImageHandleResidentARB

public static void glMakeImageHandleResidentARB(long handle, int access)

### glMakeImageHandleNonResidentARB

public static void glMakeImageHandleNonResidentARB(long handle)

### glUniformHandleui64ARB

public static void glUniformHandleui64ARB(int location, long value)

### glUniformHandleuARB

public static void glUniformHandleuARB(int location, LongBuffer value)

### glProgramUniformHandleui64ARB

public static void glProgramUniformHandleui64ARB(int program, int location, long value)

### glProgramUniformHandleuARB

public static void glProgramUniformHandleuARB(int program, int location, LongBuffer values)

### glIsTextureHandleResidentARB

public static boolean glIsTextureHandleResidentARB(long handle)

### glIsImageHandleResidentARB

public static boolean glIsImageHandleResidentARB(long handle)

### glVertexAttribL1ui64ARB

public static void glVertexAttribL1ui64ARB(int index, long x)

### glVertexAttribL1uARB

public static void glVertexAttribL1uARB(int index, LongBuffer v)

### glGetVertexAttribLuARB

public static void glGetVertexAttribLuARB(int index, int pname, LongBuffer params)